Package picard.analysis

## Enum CollectMultipleMetrics.Program

- java.lang.Object
- - java.lang.Enum<CollectMultipleMetrics.Program>
  - - picard.analysis.CollectMultipleMetrics.Program

- All Implemented Interfaces:
    `Serializable`, `Comparable<CollectMultipleMetrics.Program>`, `CollectMultipleMetrics.ProgramInterface`
  Enclosing class:
    CollectMultipleMetrics

      public static enum CollectMultipleMetrics.Program
      extends Enum<CollectMultipleMetrics.Program>
      implements CollectMultipleMetrics.ProgramInterface

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CollectAlignmentSummaryMetrics` |
    `CollectBaseDistributionByCycle` |
    `CollectGcBiasMetrics` |
    `CollectInsertSizeMetrics` |
    `CollectQualityYieldMetrics` |
    `CollectSequencingArtifactMetrics` |
    `MeanQualityByCycle` |
    `QualityScoreDistribution` |
    `RnaSeqMetrics` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CollectMultipleMetrics.Program` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CollectMultipleMetrics.Program[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface picard.analysis.CollectMultipleMetrics.ProgramInterface

      `makeInstance, makeInstance, needsReferenceSequence, needsRefflatFile, supportsMetricAccumulationLevel`

- - ### Enum Constant Detail

    - #### CollectAlignmentSummaryMetrics

          public static final CollectMultipleMetrics.Program CollectAlignmentSummaryMetrics

    - #### CollectInsertSizeMetrics

          public static final CollectMultipleMetrics.Program CollectInsertSizeMetrics

    - #### QualityScoreDistribution

          public static final CollectMultipleMetrics.Program QualityScoreDistribution

    - #### MeanQualityByCycle

          public static final CollectMultipleMetrics.Program MeanQualityByCycle

    - #### CollectBaseDistributionByCycle

          public static final CollectMultipleMetrics.Program CollectBaseDistributionByCycle

    - #### CollectGcBiasMetrics

          public static final CollectMultipleMetrics.Program CollectGcBiasMetrics

    - #### RnaSeqMetrics

          public static final CollectMultipleMetrics.Program RnaSeqMetrics

    - #### CollectSequencingArtifactMetrics

          public static final CollectMultipleMetrics.Program CollectSequencingArtifactMetrics

    - #### CollectQualityYieldMetrics

          public static final CollectMultipleMetrics.Program CollectQualityYieldMetrics

  - ### Method Detail

    - #### values

          public static CollectMultipleMetrics.Program[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollectMultipleMetrics.Program c : CollectMultipleMetrics.Program.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollectMultipleMetrics.Program valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null